#/bin/sh

help() {
    echo "Syntaxe"
    echo "‾‾‾‾‾‾‾"
    echo "sh $0 [ adresse ] [ table ] [ id ] [ data ]\n"
}

if [ -z "$1" ]
then
    echo "Missing parameters : web adresses is needed\n"
    help
    exit
fi
if [ -z "$2" ]
then
    echo "Missing parameters : tablename is needed\n"
    help
    exit
fi

if [ -z "$3" ]
then
    echo "Missing parameters : an id is needed\n"
    help
    exit
fi
if [ -z "$4" ]
then
    echo "Missing parameters : data are needed\n"
    help
    exit
fi

echo "Set data for $2 with id $3"
curl --header "Content-Type: application/json" -b cookie.txt -X PUT --data "$4" $1/api.php/records/$2/$3
echo "\n"
